Bug 458946 - mail-notification core dump
mail-notification core dump
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mail-notification (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dmitry Butskoy
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-13 08:42 EDT by Jonathan Kamens
Modified: 2009-12-18 01:18 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:18:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2008-08-13 08:42:20 EDT
I have mail-notification-5.4-1.fc10.i386.  Mail-notification periodically coredumps on me with a segfault.  Here are the backtraces of all the threads.  The coredump happens in thread 1.

Thread 4 (process 11874):
#0  0x00110416 in __kernel_vsyscall ()
#1  0x0023c7f7 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=<value optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x004c88b2 in g_main_context_poll () at gmain.c:3033
#3  g_main_context_iterate (context=<value optimized out>, block=<value optimized out>, dispatch=<value optimized out>, self=Could not find the frame base for "g_main_context_iterate".
) at gmain.c:2700
#4  0x004c8f42 in IA__g_main_loop_run (loop=<value optimized out>) at gmain.c:2928
#5  0x0795be55 in IA__gtk_main () at gtkmain.c:1172
#6  0x0806fbea in main (argc=2, argv=0xbfef91d4) at src/mn-main.c:542

Thread 3 (process 29097):
#0  0x00110416 in __kernel_vsyscall ()
#1  0x0031813b in read () from /lib/libpthread-2.8.90.so
#2  0x0807f652 in read () at /usr/include/bits/unistd.h:45
#3  mn_read () at src/mn-client-session.c:129
#4  mn_client_session_fill_input_buffer (session=0xb72ff1d0) at src/mn-client-session.c:810
#5  0x0807f733 in mn_client_session_read_line (session=0xb72ff1d0) at src/mn-client-session.c:915
#6  0x0808053b in mn_client_session_run (states=0x8091d20, callbacks=0x8091d00, use_ssl=0, server=0x8bfe498 "mi8owa.mi8.com", port=143, private=0xb72ff26c, err=0xb72ff268) at src/mn-client-session.c:439
#7  0x0807b920 in ___21_mn_imap_mailbox_authenticated_check (mailbox=0x8bfd8e8) at build/src/mn-imap-mailbox.c:1668
#8  0x08081368 in mn_authenticated_mailbox_authenticated_check () at build/src/mn-authenticated-mailbox.c:518
#9  mn_authenticated_mailbox_check_thread_cb (self=0x8bfd8e8) at build/src/mn-authenticated-mailbox.c:497
#10 0x004efeff in g_thread_create_proxy (data=<value optimized out>) at gthread.c:635
#11 0x0031151f in start_thread (arg=<value optimized out>) at pthread_create.c:297
#12 0x002470ae in clone () from /lib/libc-2.8.90.so

Thread 2 (process 11924):
#0  0x00110416 in __kernel_vsyscall ()
#1  0x0023c7f7 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=<value optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x004c88b2 in g_main_context_poll () at gmain.c:3033
#3  g_main_context_iterate (context=<value optimized out>, block=<value optimized out>, dispatch=<value optimized out>, self=Could not find the frame base for "g_main_context_iterate".
) at gmain.c:2700
#4  0x004c8f42 in IA__g_main_loop_run (loop=<value optimized out>) at gmain.c:2928
#5  0x069700b0 in link_io_thread_fn (data=Could not find the frame base for "link_io_thread_fn".
) at linc.c:396
#6  0x004efeff in g_thread_create_proxy (data=<value optimized out>) at gthread.c:635
#7  0x0031151f in start_thread (arg=<value optimized out>) at pthread_create.c:297
#8  0x002470ae in clone () from /lib/libc-2.8.90.so

Thread 1 (process 11903):
#0  mn_g_object_clone (object=0x8da0af0, property_name=0x808da2b "flags") at src/mn-util.c:1179
#1  0x0807a06c in mn_imap_mailbox_handle_fetch_uid_cb (session=0xb7e841d0, response=0xb7316d68, priv=0xb7e8426c) at build/src/mn-imap-mailbox.c:1268
#2  0x0808057d in handle_input () at src/mn-client-session.c:320
#3  mn_client_session_run (states=0x8091d20, callbacks=0x8091d00, use_ssl=0, server=0x8bfe218 "jik3.kamens.brookline.ma.us", port=143, private=0xb7e8426c, err=0xb7e84268) at src/mn-client-session.c:440
#4  0x0807b920 in ___21_mn_imap_mailbox_authenticated_check (mailbox=0x8bfd800) at build/src/mn-imap-mailbox.c:1668
#5  0x08081368 in mn_authenticated_mailbox_authenticated_check () at build/src/mn-authenticated-mailbox.c:518
#6  mn_authenticated_mailbox_check_thread_cb (self=0x8bfd800) at build/src/mn-authenticated-mailbox.c:497
#7  0x004efeff in g_thread_create_proxy (data=<value optimized out>) at gthread.c:635
#8  0x0031151f in start_thread (arg=<value optimized out>) at pthread_create.c:297
#9  0x002470ae in clone () from /lib/libc-2.8.90.so
Comment 1 Dmitry Butskoy 2008-08-13 09:00:25 EDT
Perhaps it is #248125 in upstream, see https://bugs.launchpad.net/mail-notification/+bug/248125

(or maybe something else, see all the bugs at https://bugs.launchpad.net/mail-notification/+bug )

Could you please report this issue directly to the upstream? (find "report a bug" link at http://www.nongnu.org/mailnotify/).
Comment 2 Bug Zapper 2008-11-25 21:45:41 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-11-18 03:15:52 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 01:18:15 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.